import dbpatch.options
from dbpatch.log import LogFactory
import dbpatch.patch


class DummyPatch(dbpatch.patch.Patch):

    EXTENSION = 'dummy'

    def __init__(self):
        dbpatch.patch.Patch.__init__(self)
        self._log  = LogFactory().get_logger(DummyPatch.__name__)

    def execute(self, db_name):
        self._log.info('Executing dummy patch')
        return True


def register():
    dbpatch.patch.PatchFactory.register(DummyPatch)
