from dbpatch.log import LogFactory
import dbpatch.patch
import dbpatch.patch.python


class PyDummyPatch(dbpatch.patch.python.PythonPatch):

    EXTENSION = 'python'

    def __init__(self):
        dbpatch.patch.Patch.__init__(self)
        self._log  = LogFactory().get_logger(PyDummyPatch.__name__)

    def execute(self, db_name):
        self._log.info('Executing pydummy patch')
        return True


def register():
    dbpatch.patch.PatchFactory.register(PyDummyPatch)
