import time
from dbpatch.patch.python import PythonPatch


class InsertDatePatch(PythonPatch):

    INSERT_DATE = "INSERT INTO date VALUES (?, '?', '?')"

    def execute(self, db):
        local = time.localtime()
        connection = self.connect_to(db)
        for i in range(10):
            values = (i+1, str(local[1]), str(local[0]))
            statement  = self.create_statement(
                InsertDatePatch.INSERT_DATE, values)
            status = statement.execute()

            if not status:
                self.set_error('Unable insert [%s]' % query)
                return False

        return True
